GEOS: geos::geom::Point Class Reference

Public Types | Public Member Functions | Protected Member Functions | Friends

# geos::geom::Point Class Reference

`#include <Point.h>`

Inheritance diagram for geos::geom::Point:

List of all members.

## Public Types
typedef std::vector< const Point * > | ConstVect
| A vector of const Point pointers.
## Public Member Functions
Geometry * | clone () const
CoordinateSequence * | getCoordinates (void) const
| Returns this Geometry vertices. Caller takes ownership of the returned object.
const CoordinateSequence * | getCoordinatesRO () const
size_t | getNumPoints () const
| Returns the count of this Geometrys vertices.
bool | isEmpty () const
| Returns whether or not the set of points in this Geometry is empty.
bool | isSimple () const
| Returns false if the Geometry not simple.
Dimension::DimensionType | getDimension () const
| Returns point dimension (0)
virtual int | getCoordinateDimension () const
| Returns coordinate dimension.
int | getBoundaryDimension () const
| Returns Dimension::False (Point has no boundary)
Geometry * | getBoundary () const
double | getX () const
double | getY () const
const Coordinate * | getCoordinate () const
| Returns a vertex of this Geometry, or NULL if this is the empty geometry.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
void | apply_ro (CoordinateFilter *filter) const
void | apply_rw (const CoordinateFilter *filter)
void | apply_ro (GeometryFilter *filter) const
void | apply_rw (GeometryFilter *filter)
void | apply_rw (GeometryComponentFilter *filter)
void | apply_ro (GeometryComponentFilter *filter) const
void | apply_rw (CoordinateSequenceFilter &filter)
void | apply_ro (CoordinateSequenceFilter &filter) const
bool | equalsExact (const Geometry *other, double tolerance=0) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
void | normalize (void)
| Converts this Geometry to normal form (or canonical form).
Geometry * | reverse () const
## Protected Member Functions
| Point (CoordinateSequence *newCoords, const GeometryFactory *newFactory)
| Creates a Point taking ownership of the given CoordinateSequence (must have 1 element)
| Point (const Point &p)
Envelope::AutoPtr | computeEnvelopeInternal () const
int | compareToSameClass (const Geometry *p) const
## Friends
class | GeometryFactory

## Detailed Description

Implementation of Point.

A Point is valid iff:

- the coordinate which defines it is a valid coordinate (i.e does not have an NaN X or Y ordinate)

## Constructor & Destructor Documentation

geos::geom::Point::Point | ( | CoordinateSequence * | newCoords,
|  | const GeometryFactory * | newFactory
| ) |  | `[protected]`

Creates a Point taking ownership of the given CoordinateSequence (must have 1 element)

Parameters:

  newCoords | contains the single coordinate on which to base this `Point` or `null` to create the empty geometry.
  newFactory | the GeometryFactory used to create this geometry

## Member Function Documentation

void geos::geom::Point::apply_ro | ( | CoordinateSequenceFilter & | filter ) | const`[virtual]`

Performs a read-only operation on the coordinates in this Geometry's CoordinateSequences.

Parameters:

  filter | the filter to apply

Implements geos::geom::Geometry.

void geos::geom::Point::apply_rw | ( | CoordinateSequenceFilter & | filter ) | `[virtual]`

Performs an operation on the coordinates in this Geometry's CoordinateSequences.s If the filter reports that a coordinate value has been changed, geometryChanged will be called automatically.

Parameters:

  filter | the filter to apply

Implements geos::geom::Geometry.

Geometry* geos::geom::Point::clone | ( | ) | const`[inline, virtual]`

Creates and returns a full copy of this Point object. (including all coordinates contained by it).

Returns:
  a clone of this instance

Implements geos::geom::Geometry.

Geometry* geos::geom::Point::getBoundary | ( | ) | const`[virtual]`

Gets the boundary of this geometry. Zero-dimensional geometries have no boundary by definition, so an empty GeometryCollection is returned.

Returns:
  an empty GeometryCollection

See also:
  Geometry::getBoundary

Implements geos::geom::Geometry.

The documentation for this class was generated from the following file:

- Point.h